{-# OPTIONS_GHC -fffi #-}
{-# LANGUAGE ForeignFunctionInterface #-}
{- |
   License      : BSD3
   Maintainer   : Takano Akio <aljee@hyper.cx>
   Stability    : experimental

   Default buffer size.
-}
module System.IO.SSC.BufferSize
  ( defaultBufferSize
  ) where

import Foreign.C.Types

-- | Define the default buffer size for the system. The value equals
-- to the C constant BUFSIZ.
defaultBufferSize :: Int
defaultBufferSize = fromIntegral c_default_buffer_size

foreign import ccall "buffer_size.h buffer_size_default" c_default_buffer_size :: CInt
